<?php
$tdatacat_entidad = array();
$tdatacat_entidad[".searchableFields"] = array();
$tdatacat_entidad[".ShortName"] = "cat_entidad";
$tdatacat_entidad[".OwnerID"] = "";
$tdatacat_entidad[".OriginalTable"] = "cat_entidad";


$tdatacat_entidad[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatacat_entidad[".originalPagesByType"] = $tdatacat_entidad[".pagesByType"];
$tdatacat_entidad[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatacat_entidad[".originalPages"] = $tdatacat_entidad[".pages"];
$tdatacat_entidad[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdatacat_entidad[".originalDefaultPages"] = $tdatacat_entidad[".defaultPages"];

//	field labels
$fieldLabelscat_entidad = array();
$fieldToolTipscat_entidad = array();
$pageTitlescat_entidad = array();
$placeHolderscat_entidad = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscat_entidad["Spanish"] = array();
	$fieldToolTipscat_entidad["Spanish"] = array();
	$placeHolderscat_entidad["Spanish"] = array();
	$pageTitlescat_entidad["Spanish"] = array();
	$fieldLabelscat_entidad["Spanish"]["id"] = "Id";
	$fieldToolTipscat_entidad["Spanish"]["id"] = "";
	$placeHolderscat_entidad["Spanish"]["id"] = "";
	$fieldLabelscat_entidad["Spanish"]["entidad"] = "Entidad";
	$fieldToolTipscat_entidad["Spanish"]["entidad"] = "";
	$placeHolderscat_entidad["Spanish"]["entidad"] = "";
	if (count($fieldToolTipscat_entidad["Spanish"]))
		$tdatacat_entidad[".isUseToolTips"] = true;
}


	$tdatacat_entidad[".NCSearch"] = true;



$tdatacat_entidad[".shortTableName"] = "cat_entidad";
$tdatacat_entidad[".nSecOptions"] = 0;

$tdatacat_entidad[".mainTableOwnerID"] = "";
$tdatacat_entidad[".entityType"] = 0;
$tdatacat_entidad[".connId"] = "p2024db_at_localhost";


$tdatacat_entidad[".strOriginalTableName"] = "cat_entidad";

	



$tdatacat_entidad[".showAddInPopup"] = false;

$tdatacat_entidad[".showEditInPopup"] = false;

$tdatacat_entidad[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacat_entidad[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacat_entidad[".listAjax"] = false;
//	temporary
$tdatacat_entidad[".listAjax"] = false;

	$tdatacat_entidad[".audit"] = false;

	$tdatacat_entidad[".locking"] = false;


$pages = $tdatacat_entidad[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacat_entidad[".edit"] = true;
	$tdatacat_entidad[".afterEditAction"] = 1;
	$tdatacat_entidad[".closePopupAfterEdit"] = 1;
	$tdatacat_entidad[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacat_entidad[".add"] = true;
$tdatacat_entidad[".afterAddAction"] = 1;
$tdatacat_entidad[".closePopupAfterAdd"] = 1;
$tdatacat_entidad[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacat_entidad[".list"] = true;
}



$tdatacat_entidad[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacat_entidad[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacat_entidad[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacat_entidad[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacat_entidad[".printFriendly"] = true;
}



$tdatacat_entidad[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacat_entidad[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacat_entidad[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacat_entidad[".isUseAjaxSuggest"] = true;

$tdatacat_entidad[".rowHighlite"] = true;





$tdatacat_entidad[".ajaxCodeSnippetAdded"] = false;

$tdatacat_entidad[".buttonsAdded"] = false;

$tdatacat_entidad[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacat_entidad[".isUseTimeForSearch"] = false;


$tdatacat_entidad[".badgeColor"] = "008B8B";


$tdatacat_entidad[".allSearchFields"] = array();
$tdatacat_entidad[".filterFields"] = array();
$tdatacat_entidad[".requiredSearchFields"] = array();

$tdatacat_entidad[".googleLikeFields"] = array();
$tdatacat_entidad[".googleLikeFields"][] = "id";
$tdatacat_entidad[".googleLikeFields"][] = "entidad";



$tdatacat_entidad[".tableType"] = "list";

$tdatacat_entidad[".printerPageOrientation"] = 0;
$tdatacat_entidad[".nPrinterPageScale"] = 100;

$tdatacat_entidad[".nPrinterSplitRecords"] = 40;

$tdatacat_entidad[".geocodingEnabled"] = false;










$tdatacat_entidad[".pageSize"] = 20;

$tdatacat_entidad[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacat_entidad[".strOrderBy"] = $tstrOrderBy;

$tdatacat_entidad[".orderindexes"] = array();


$tdatacat_entidad[".sqlHead"] = "SELECT id,  	entidad";
$tdatacat_entidad[".sqlFrom"] = "FROM cat_entidad";
$tdatacat_entidad[".sqlWhereExpr"] = "";
$tdatacat_entidad[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacat_entidad[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacat_entidad[".arrGroupsPerPage"] = $arrGPP;

$tdatacat_entidad[".highlightSearchResults"] = true;

$tableKeyscat_entidad = array();
$tableKeyscat_entidad[] = "id";
$tdatacat_entidad[".Keys"] = $tableKeyscat_entidad;


$tdatacat_entidad[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cat_entidad";
	$fdata["Label"] = GetFieldLabel("cat_entidad","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_entidad["id"] = $fdata;
		$tdatacat_entidad[".searchableFields"][] = "id";
//	entidad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "entidad";
	$fdata["GoodName"] = "entidad";
	$fdata["ownerTable"] = "cat_entidad";
	$fdata["Label"] = GetFieldLabel("cat_entidad","entidad");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "entidad";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "entidad";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_entidad["entidad"] = $fdata;
		$tdatacat_entidad[".searchableFields"][] = "entidad";


$tables_data["cat_entidad"]=&$tdatacat_entidad;
$field_labels["cat_entidad"] = &$fieldLabelscat_entidad;
$fieldToolTips["cat_entidad"] = &$fieldToolTipscat_entidad;
$placeHolders["cat_entidad"] = &$placeHolderscat_entidad;
$page_titles["cat_entidad"] = &$pageTitlescat_entidad;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cat_entidad"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["cat_entidad"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cat_entidad()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	entidad";
$proto0["m_strFrom"] = "FROM cat_entidad";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cat_entidad",
	"m_srcTableName" => "cat_entidad"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cat_entidad";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "entidad",
	"m_strTable" => "cat_entidad",
	"m_srcTableName" => "cat_entidad"
));

$proto8["m_sql"] = "entidad";
$proto8["m_srcTableName"] = "cat_entidad";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "cat_entidad";
$proto11["m_srcTableName"] = "cat_entidad";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "entidad";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "cat_entidad";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "cat_entidad";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cat_entidad";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cat_entidad = createSqlQuery_cat_entidad();


	
		;

		

$tdatacat_entidad[".sqlquery"] = $queryData_cat_entidad;



$tableEvents["cat_entidad"] = new eventsBase;
$tdatacat_entidad[".hasEvents"] = false;

?>